Package com.clickhouse.jdbc.internal

## Class ClickHouseJdbcUrlParser

- java.lang.Object
- - com.clickhouse.jdbc.internal.ClickHouseJdbcUrlParser

    public class ClickHouseJdbcUrlParser
    extends Object

### Nested Class Summary

Nested Classes
`static class` `ClickHouseJdbcUrlParser.ConnectionInfo`

### Field Summary

Fields
`static String` `JDBC_ABBREVIATION_PREFIX`
`static String` `JDBC_CLICKHOUSE_PREFIX`
`static String` `JDBC_PREFIX`
`static String` `PROP_JDBC_COMPLIANT`

### Method Summary

All Methods Static Methods Concrete Methods
`static ClickHouseJdbcUrlParser.ConnectionInfo` `parse​(String jdbcUrl, Properties defaults)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### PROP_JDBC_COMPLIANT

    public static final String PROP_JDBC_COMPLIANT

See Also:
  Constant Field Values

#### JDBC_PREFIX

    public static final String JDBC_PREFIX

See Also:
  Constant Field Values

#### JDBC_CLICKHOUSE_PREFIX

    public static final String JDBC_CLICKHOUSE_PREFIX

See Also:
  Constant Field Values

#### JDBC_ABBREVIATION_PREFIX

    public static final String JDBC_ABBREVIATION_PREFIX

See Also:
  Constant Field Values

### Method Detail

#### parse

    public static ClickHouseJdbcUrlParser.ConnectionInfo parse​(String jdbcUrl,
                                                               Properties defaults)
                                                        throws URISyntaxException

Throws:
  `URISyntaxException`